Bug 1244293 - NetworkManager support for secondary IPv6 addresses
Summary: NetworkManager support for secondary IPv6 addresses
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: NetworkManager
Version: 7.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Beniamino Galvani
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-07-17 16:50 UTC by David Sommerseth
Modified: 2016-05-22 23:35 UTC (History)
10 users (show)

Fixed In Version: NetworkManager-1.0.4-8.el7
Doc Type: Enhancement
Doc Text:
Feature: support for configuring multiple addresses received through DHCPv6 on an interface Reason: DHCPv6 servers can assign a lease containing multiple IPv6 addresses Result: support for parsing and assigning multiple addresses from a DHCPv6 lease has been added to NetworkManager
Clone Of:
Environment:
Last Closed: 2015-11-19 11:02:18 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 681764 None None None 2019-03-20 09:32:44 UTC
Red Hat Product Errata RHSA-2015:2315 normal SHIPPED_LIVE Moderate: NetworkManager security, bug fix, and enhancement update 2015-11-19 10:06:58 UTC

Description David Sommerseth 2015-07-17 16:50:04 UTC
Description of problem:
When configuring network devices in an environment where the DHCPv6 server also can provide secondary IPv6 addresses, NetworkManager will only configure the primary IPv6 address.  Running dhclient -6 manually configures all the DHCP provided IPv6 addresses.

Version-Release number of selected component:
NetworkManager-1.0.2-1.fc22.ppc64le
dhcp-client-4.3.2-2.fc22.ppc64le

How reproducible:
Always.

***
*** WITH NETWORK MANAGER
***
# cat /etc/sysconfig/network-scripts/ifcfg-enp0s1 
DEVICE=enp0s1
ONBOOT=yes
HWADDR=08:00:00:00:01:30
BOOTPROTO=none
IPV4_FAILURE_FATAL=no
DHCPV6C=yes
# nmcli con up id 'System enp0s1'
Connection successfully activated (D-Bus active path: /org/freedesktop/NetworkManager/ActiveConnection/2)
# ifconfig enp0s1
enp0s1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet6 2001:67c:1220:808:a00:ff:fe00:130  prefixlen 64  scopeid 0x0<global>
        inet6 fe80::a00:ff:fe00:130  prefixlen 64  scopeid 0x20<link>
        ether 08:00:00:00:01:30  txqueuelen 1000  (Ethernet)
        RX packets 19964  bytes 1072366 (1.0 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 92  bytes 9102 (8.8 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0



***
*** MANUALLY WITH DHCLIENT (WITHOUT NETWORK MANAGER)
***

# dhclient -6 enp0s1
# ifconfig enp0s1
enp0s1: flags=4163<UP,BROADCAST,RUNNING,MULTICAST>  mtu 1500
        inet6 2001:67c:1220:808:0:30:93e5:83a  prefixlen 128  scopeid 0x0<global>
        inet6 2001:67c:1220:808:a00:ff:fe00:130  prefixlen 64  scopeid 0x0<global>
        inet6 fe80::a00:ff:fe00:130  prefixlen 64  scopeid 0x20<link>
        ether 08:00:00:00:01:30  txqueuelen 1000  (Ethernet)
        RX packets 20779  bytes 1111647 (1.0 MiB)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 106  bytes 10416 (10.1 KiB)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

Comment 2 Beniamino Galvani 2015-08-05 07:17:43 UTC
Patch posted on upstream bug.

Comment 3 Tomas Pelka 2015-08-11 06:41:27 UTC
David or Beniamino do we have dhcpv6 networks somewhere in RH?

Comment 4 David Sommerseth 2015-08-11 12:01:16 UTC
(In reply to Tomas Pelka from comment #3)
> David or Beniamino do we have dhcpv6 networks somewhere in RH?

Not inside RH, but the Open Power Hub in Brno have such a setup.  I have a VM running there and can help out with any type of testing.

Comment 5 David Sommerseth 2015-08-11 12:06:52 UTC
just a remark regarding not inside - I meant, I don't know of any dhcpv6 enabled networks inside RH, at least none with also provides secondary addresses too.

Comment 6 Tomas Pelka 2015-08-11 14:09:31 UTC
(In reply to David Sommerseth from comment #5)
> just a remark regarding not inside - I meant, I don't know of any dhcpv6
> enabled networks inside RH, at least none with also provides secondary
> addresses too.

Thanks David!

Comment 10 errata-xmlrpc 2015-11-19 11:02:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2315.html


Note You need to log in before you can comment on or make changes to this bug.